Index: trunk/calendar/inc/class.boicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.boicalendar.inc.php	(revision 3736)
+++ trunk/calendar/inc/class.boicalendar.inc.php	(revision 5132)
@@ -102,687 +101,686 @@
 		*/
 
-		function boicalendar()
-		{
-			$this->property = Array(
-				'action'		=> Array(
+	function boicalendar() {
+		$this->property = Array (
+			'action' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'valarm'		=> Array(
+				'valarm' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'attach'		=> Array(
+			'attach' => Array (
 					'type'		=> 'uri',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'valarm'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'attendee'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'valarm' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'attendee' => Array (
 					'type'		=> 'cal-address',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'valarm'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'categories'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'valarm' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'categories' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'class'			=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'class' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'comment'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'comment' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'daylight'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'standard'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'valarm'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'completed'		=> Array(
+				'daylight' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'standard' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'valarm' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'completed' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'contact'		=> Array(
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'contact' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'created'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'created' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'description'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'description' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'valarm'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'dtend'			=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'valarm' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'dtend' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'dtstamp'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'dtstamp' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'dtstart'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'dtstart' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'daylight'	=> Array(
+				'daylight' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'standard'	=> Array(
+				'standard' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'due'			=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'due' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'duration'		=> Array(
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'duration' => Array (
 					'type'		=> 'duration',
 					'to_text'	=> False,
-					'valarm'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'exdate'		=> Array(
+				'valarm' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'exdate' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vevent'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'exrule'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'exrule' => Array (
 					'type'		=> 'recur',
 					'to_text'	=> False,
-					'vevent'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'freebusy'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'freebusy' => Array (
 					'type'		=> 'freebusy',
 					'to_text'	=> False,
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'geo'			=> Array(
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'geo' => Array (
 					'type'		=> 'float',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'last_modified'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'last_modified' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtimezone'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'location'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtimezone' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'location' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'method'			=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'method' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'ical'	=> Array(
+				'ical' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'organizer'		=> Array(
+			'organizer' => Array (
 					'type'		=> 'cal-address',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'percent_complete'	=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'percent_complete' => Array (
 					'type'		=> 'integer',
 					'to_text'	=> False,
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'priority'		=> Array(
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'priority' => Array (
 					'type'		=> 'integer',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'prodid'			=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'prodid' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'ical'	=> Array(
+				'ical' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'rdate'			=> Array(
+			'rdate' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'daylight'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'standard'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'recurrence_id'		=> Array(
+				'daylight' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'standard' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'recurrence_id' => Array (
 					'type'		=> 'date-time',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'related_to'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'related_to' => Array (
 					'type'		=> 'text',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'request_status'	=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'request_status' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vfreebusy'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'resources'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vfreebusy' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'resources' => Array (
 					'type'		=> 'text',
 					'to_text'	=> False,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'rrule'			=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'rrule' => Array (
 					'type'		=> 'recur',
 					'to_text'	=> False,
-					'daylight'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'standard'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'sequence'		=> Array(
+				'daylight' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'standard' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'sequence' => Array (
 					'type'		=> 'integer',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'status'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'status' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'summary'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'summary' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'valarm'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'transp'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'valarm' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'transp' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'trigger'		=> Array(
+				'vevent' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'trigger' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'valarm'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'tzid'			=> Array(
+				'valarm' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'tzid' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vtimezone'		=> Array(
+				'vtimezone' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'tzname'		=> Array(
+			'tzname' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'daylight'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					),
-					'standard'	=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> True
-					)
-				),
-				'tzoffsetfrom'		=> Array(
+				'daylight' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					),
+				'standard' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> True
+					)
+				),
+			'tzoffsetfrom' => Array (
 					'type'		=> 'utc-offset',
 					'to_text'	=> True,
-					'daylight'		=> Array(
+				'daylight' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'standard'		=> Array(
+				'standard' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'tzoffsetto'		=> Array(
+			'tzoffsetto' => Array (
 					'type'		=> 'utc-offset',
 					'to_text'	=> True,
-					'daylight'		=> Array(
+				'daylight' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'standard'		=> Array(
+				'standard' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'tzurl'			=> Array(
+			'tzurl' => Array (
 					'type'		=> 'uri',
 					'to_text'	=> True,
-					'vtimezone'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					)
-				),
-				'uid'			=> Array(
+				'vtimezone' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					)
+				),
+			'uid' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
+				'vevent' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'vfreebusy'		=> Array(
+				'vfreebusy' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'vjournal'		=> Array(
+				'vjournal' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'vtodo'		=> Array(
+				'vtodo' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'url'			=> Array(
+			'url' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'vevent'	=> Array(
+				'vevent' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'vfreebusy'		=> Array(
+				'vfreebusy' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					),
-					'vjournal'		=> Array(
-						'state'		=> 'optional',
-						'multiples'	=> False
-					),
-					'vtodo'	=> Array(
+				'vjournal' => Array (
+						'state'		=> 'optional',
+						'multiples'	=> False
+					),
+				'vtodo' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
 					)
 				),
-				'version'			=> Array(
+			'version' => Array (
 					'type'		=> 'text',
 					'to_text'	=> True,
-					'ical'	=> Array(
+				'ical' => Array (
 						'state'		=> 'required',
 						'multiples'	=> False
@@ -790,10 +788,10 @@
 				)
 			);
-			$this->parameter = Array(
-				'altrep'		=> Array(
+		$this->parameter = Array (
+			'altrep' => Array (
 					'type'		=> 'uri',
 					'quoted'		=> True,
 					'to_text'	=> True,
-					'properties'	=> Array(
+				'properties' => Array (
 						'comment'		=> True,
 						'description'	=> True,
